{ config, pkgs, ... }:
{
  programs.git = {
    enable = true;
    userEmail = "alexandre@dri.fr";
    userName = "Alexandre LUCAZEAU";
    aliases = {
      ignore = "!gi() { curl -sL https://www.toptal.com/developers/gitignore/api/$@ ;}; gi";
    };
    extraConfig = {
      "color" = {
        "ui" = true;
      };
      "init" = {
        defaultBranch = "main";
      };
      "color \"diff-highlight\"" = {
        oldNormal = "red bold";
        oldHighlight = "red bold 52";
        newNormal = "green bold";
        newHighlight = "green bold 22";
      };
      "color \"diff\"" = {
        meta = 11;
        frag = "magenta bold";
        commit = "yellow bold";
        old = "red bold";
        new = "green bold";
        whitespace = "red reverse";
      };
    };
    signing.key = "3C8ADB07A8217BD3";
    signing.signByDefault = true;
  };
}
