{ config, pkgs, ... }:{

  programs.i3status-rust = {
    enable = true;
    bars = {
      bottom = {
        blocks = [
          {
             block = "disk_space";
             path = "/";
             alias = "/";
             info_type = "available";
             unit = "GB";
             interval = 60;
             warning = 20.0;
             alert = 10.0;
           }
           {
             block = "memory";
             display_type = "memory";
             format_mem = "{mem_used_percents}";
             format_swap = "{swap_used_percents}";
           }
           {
             block = "cpu";
             interval = 1;
           }
           {
             block = "load";
             interval = 1;
             format = "{1m}";
           }
           { 
             block = "sound";
             headphones_indicator = true;
             on_click = "pavucontrol";
           }
           {
             block = "net";
             device = "enp0s20f0u6u1i5";
             interval = 5;
             format = "{graph_up}{graph_down}";
           }
           {
             block = "net";
             interval = 5;
             device = "tun0";
             hide_missing = true;
           }
           {
             block = "net";
             interval = 5;
             device = "wlp2s0";
             format = "{ssid} {signal_strength} {ip} {speed_down;K*b}";
             hide_missing = true;
           }
           {
             block = "toggle";
             text = "maison";
             command_state = "xrandr | grep \"^DP-1 connected";
             command_on = "sh ~/Nextcloud/DRI/outils/matin.sh";
             command_off = "sh ~/Nextcloud/DRI/outils/soir.sh";
             interval = 5;
           }
           { 
             block = "backlight";
           }
           {
             block = "battery";
           }
           {
             block = "time";
             interval = 60;
             format = "%a %d/%m %R";
           }
        ];
      icons = "material-nf";
      theme = "nord-dark";
      };
    };
  };
}
